0

I have a problem with modref, v. 0.9 of 2009/02/02 (generated from the zip archive on CTAN where it is said version 1.0).

I try to use the package modref with the following minimal example:

\documentclass{article}
\usepackage{modref}
\usepackage{geometry}
\begin{document}
Something.
\end{document}

LaTeX produces the error:

! LaTeX Error: \RequirePackage or \LoadClass in Options Section.

Maybe the problem is from the use of \DeclareOption* with kvoptions. Should be \DeclareDefautOption instead of \DeclareOption* ?

  • 1
    The package is faulty, it is missing an \ProcessOptions. Why do you want to use it instead of e.g. cleveref? – Ulrike Fischer Nov 10 '18 at 21:02
  • @Ulrike Fischer: In fact, I test the packages found on CTAN dealing with tags in equations to see if they are compatible with my extension witharrows. – F. Pantigny Nov 10 '18 at 21:31
  • 1
    Then I wouldn't bother. – Ulrike Fischer Nov 10 '18 at 22:21
  • 1
    Switch the loading order. But it's quite hopeless to get the package working correctly as it declares options but doesn't process them. – egreg Nov 10 '18 at 23:19
  • I sent a mail to the maintainer Niel de Beaudrap (with address found at the end of the documentation available on CTAN) but I had no answer. – F. Pantigny May 29 '19 at 18:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.